
Redmine - Patch #3159

Mercurial (Hg) integration doesn't work if redmine is installed in folder path containing space

2009-04-11 16:19 - Afriza N. Arief

Status: Closed Start date: 2009-04-11

Priority: High Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8.4   

Description

Mercurial (Hg) integration doesn't work if redmine is installed in folder path containing space. The problem is because the template

file path is not properly quoted. (e.g. "C:/Program Files/BitNami Redmine

Stack/apps/redmine/lib/redmine/scm/adapters/mercurial/hg-template-1.0.tmpl" )

affected branch: 0.8-stable

affected revision: svn r2670

affected file:

http://www.redmine.org/projects/redmine/repository/revisions/2670/entry/branches/0.8-stable/lib/redmine/scm/adapters/mercurial_ad

apter.rb

affected line: 108

Note: I am beginner in Ruby and redmine. The patch I attached will only quote the path and won't convert forward slash to backslash.

Please adjust the patch as deemed necessary.

Associated revisions

Revision 2679 - 2009-04-21 18:05 - Jean-Philippe Lang

Fixed: Mercurial integration doesn't work if redmine is installed in folder path containing space (#3159).

History

#1 - 2009-04-11 16:19 - Afriza N. Arief

- % Done changed from 100 to 0

#2 - 2009-04-11 16:23 - Afriza N. Arief

the syndrome is the following error when trying to access Mercurial repository

undefined method `last’ for nil:NilClass

RAILS_ROOT: C:/Program Files/BitNami Redmine Stack/apps/redmine

lib/redmine/scm/adapters/mercurial_adapter.rb:72:in `info’

lib/redmine/scm/adapters/abstract_adapter.rb:150:in `retrieve_root_url’

lib/redmine/scm/adapters/abstract_adapter.rb:54:in `initialize’

app/models/repository.rb:41:in `new’

app/models/repository.rb:41:in `scm’

app/models/repository/mercurial.rb:56:in `fetch_changesets’

app/controllers/repositories_controller.rb:69:in `show’

#3 - 2009-04-11 16:50 - Afriza N. Arief

- File afriza-quote-template-file-path.patch added

added patch

#4 - 2009-04-21 17:58 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.4

Fix committed in r2679.

Thanks for pointing this out.

#5 - 2009-04-24 18:06 - Jean-Philippe Lang
- Status changed from Resolved to Closed

Merged in 0.8-stable in r2681.

Files

afriza-quote-template-file-path.patch 765 Bytes 2009-04-11 Afriza N. Arief
